<script>
  import Navbar from "./components/navbar/Navbar.svelte";
  import Feed from "./components/feed/Feed.svelte";
  import { searchArticle } from './api/articles.js';

  let articles;
  const handleSearch = () => articles = searchArticle();

</script>

<Navbar on:submit={handleSearch}/>
<Feed promise={articles}/>
